instproxy_archive
instproxy_browse
instproxy_browse_with_callback
instproxy_check_capabilities_match
instproxy_client_free
instproxy_client_get_path_for_bundle_identifier
instproxy_client_new
instproxy_client_options_add
instproxy_client_options_free
instproxy_client_options_new
instproxy_client_options_set_return_attributes
instproxy_client_start_service
instproxy_client_t
instproxy_command_get_name
instproxy_error_t
instproxy_install
instproxy_lookup
instproxy_lookup_archives
instproxy_remove_archive
instproxy_restore
INSTPROXY_SERVICE_NAME
instproxy_status_cb_t
instproxy_status_get_current_list
instproxy_status_get_error
instproxy_status_get_name
instproxy_status_get_percent_complete
instproxy_uninstall
instproxy_upgrade

## instproxy_remove_archive()

LIBIMOBILEDEVICE_API instproxy_error_t instproxy_remove_archive | ( | instproxy_client_t | client,
|  | const char * | appid,
|  | plist_t | client_options,
|  | instproxy_status_cb_t | status_cb,
|  | void * | user_data )

Removes a previously archived application from the device.

This function removes the ZIP archive from the 'ApplicationArchives' directory.

Parameters

  client | The connected installation proxy client
  appid | ApplicationIdentifier of the archived app to remove.
  client_options | The client options to use, as PLIST_DICT, or NULL. Currently there are no known client options, so passing NULL is fine.
  status_cb | Callback function for progress and status information. If NULL is passed, this function will run synchronously.
  user_data | Callback data passed to status_cb.

Returns
  INSTPROXY_E_SUCCESS on success or an INSTPROXY_E_* error value if an error occurred.

Note
  If a callback function is given (async mode), this function returns INSTPROXY_E_SUCCESS immediately if the status updater thread has been created successfully; any error occurring during the command has to be handled inside the specified callback function.